#ifndef _TCP_BEAST_H_
#define _TCP_BEAST_H_

typedef struct {
	int id;
	char addr[INET6_ADDRSTRLEN];
	char port[16];
	double lat;
	double lon;
} tcp_beast_info;

#define ESC 0x1a
#define STATE_UNKNOWN 0
#define STATE_ADSB 1
#define STATE_TELEMETRY 2

void *tcp_beast_client(void *);
int db_insert_source_tcp_beast(unsigned int *, char *);
int db_update_source_tcp_beast_port(unsigned int*, char *);
int run_source_tcp_beast();
#endif
